#include <QApplication>
#include "clavier.h"
#include "convertisseur.h"
#include "AdnForme.h"
#ifdef WIN32 // WIN32 is defined by all Windows 32 compilers, but not by others.
#include <windows.h>
#else
#include <unistd.h>
#endif
#include <QProcess>
#include <QtMultimedia>
/* Imaginer et creer par Abadie joris*/
/* en utilisant un concept de Andre pierre jocelyn*/
/*Cette oeuvre est protégée sous licence propriétaire. Cette oeuvre est réservé à une utilisation sous windows à ceux qui ont acheté l'autorisation d'utilisation du format audio abadie.jo sous windows. */

/*Aucune garantie n'est donner sur les effets de cet executable*/


int main(int argc, char *argv[])
{
  char nomfichierwav[32];
  char lettresclaviers[] = {97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123};
  char c;
        for(int i=0; i<26; i++)
         {
    c = lettresclaviers[i];
    for(int n=1; n<6; n++)
     {
  snprintf(nomfichierwav, 32, "%c%d.wav", c, n);
  FILE * fichierwav;
  if (!(fichierwav=fopen(nomfichierwav, "r")))
  // sinon, on le génère
   {
if (n==1)
  {
    genereFichierJo(c);
    conversionJoWav(c,n);
  }
else
  {    
    conversionJoWav(c,n);
  }
   }
  else
   fclose(fichierwav);
}
}

    QApplication app(argc, argv);
    clavier fenetre;
    fenetre.show();
    return app.exec();
}
